package com.engine.salary.mapper.salarysob;

import com.engine.salary.entity.salarysob.po.SalarySobDefaultItemPO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


public interface SalarySobDefaultItemMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<SalarySobDefaultItemPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalarySobDefaultItemPO> listSome(SalarySobDefaultItemPO salarySobDefaultItem);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	SalarySobDefaultItemPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param salarySobDefaultItem 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(SalarySobDefaultItemPO salarySobDefaultItem);
	
	/**
     * 修改，修改所有字段
     *
     * @param salarySobDefaultItem 修改的记录
     * @return 返回影响行数
     */
	int update(SalarySobDefaultItemPO salarySobDefaultItem);
	
	/**
     * 修改，忽略null字段
     *
     * @param salarySobDefaultItem 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(SalarySobDefaultItemPO salarySobDefaultItem);
	
	/**
     * 删除记录
     *
     * @param salarySobDefaultItem 待删除的记录
     * @return 返回影响行数
     */
	int delete(SalarySobDefaultItemPO salarySobDefaultItem);
	
}